%define upstream_name    Complete-Unix
%define upstream_version 0.05

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Unix-related completion routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete)
BuildRequires: perl(Complete::Util)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Rinci)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unix::Passwd::File)
BuildArch: noarch

%description
Unix-related completion routines

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1024275
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 969986
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 884469
- update to 0.05

* Sun Sep 06 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 873425
- update to 0.04

* Wed Jul 08 2015 sander85 <sander85> 0.30.0-2.mga6
+ Revision: 852857
- Exclude deps from _docdir

* Tue Jul 07 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 852616
- update to 0.03

* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 789566
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 745661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 683963
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 guillomovitch <guillomovitch> 0.10.0-1.mga5
+ Revision: 658234
- imported package perl-Complete-Unix


* Wed Jul 30 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
